<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.11.0"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>VICOLib: Data Structures</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<script type="text/javascript" src="clipboard.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="cookie.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
  $(function() { init_search(); });
/* @license-end */
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="Logo.png"/></td>
  <td id="projectalign">
   <div id="projectname">VICOLib
   </div>
   <div id="projectbrief">Software documentation</div>
  </td>
    <td>        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <span id="MSearchSelect"                onmouseover="return searchBox.OnSearchSelectShow()"                onmouseout="return searchBox.OnSearchSelectHide()">&#160;</span>
          <input type="text" id="MSearchField" value="" placeholder="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.svg" alt=""/></a>
          </span>
        </div>
</td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.11.0 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search/",'.html');
/* @license-end */
</script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() { codefold.init(0); });
/* @license-end */
</script>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function(){initNavTree('annotated.html',''); initResizable(true); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">Data Structures</div></div>
</div><!--header-->
<div class="contents">
<div class="textblock">Here are the data structures with brief descriptions:</div><div class="directory">
<table class="directory">
<tr id="row_0_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="a00082.html" target="_self">DbgClpExtType</a></td><td class="desc">Extended debug control loop structure used in <a class="el" href="a00002.html#aa2c767129feeb4231f7ddbac9be70353" title="Gets the extended debug information from TEC control loop.">dbgClpExt()</a> </td></tr>
<tr id="row_1_" class="odd"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="a00078.html" target="_self">DbgClpType</a></td><td class="desc">Debug control loop structure used in <a class="el" href="a00002.html#a86f37a863c25e0f49e39818948a0f7c5" title="Gets the debug information from TEC control loop.">dbgClp()</a> </td></tr>
<tr id="row_2_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="a00070.html" target="_self">DevInfo1BootloaderType</a></td><td class="desc">VICO DevInfo1 bootloader structure used in <a class="el" href="a00002.html#ac069497a7d69b59055941d634a6b9e45" title="Returns VICO MCU bootloader firmware version.">devInfo1Bootloader()</a> </td></tr>
<tr id="row_3_" class="odd"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="a00066.html" target="_self">DevInfo1VICOType</a></td><td class="desc">VICO DevInfo1 structure used in <a class="el" href="a00002.html#aa99fc98d9f24eee8c14491e364ca0f99" title="Returns VICO MCU firmware version.">devInfo1VICO()</a> </td></tr>
<tr id="row_4_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="a00034.html" target="_self">FirmwareVersionType</a></td><td class="desc">DPP firmware version structure used in <a class="el" href="a00002.html#a64a6796bd84611d246d597d5ff378384" title="Reads the DPP firmware version into the given struct, consisting of major-, minor-,...">getFirmwareVersion()</a> </td></tr>
<tr id="row_5_" class="odd"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="a00054.html" target="_self">LiveInfo1VIAMPType</a></td><td class="desc">VIAMP liveInfo1 structure used in <a class="el" href="a00002.html#aac37aec175eb51e7a2e7e3eb2da01c5c" title="Returns live system status information from VIAMP.">liveInfo1VIAMP()</a> </td></tr>
<tr id="row_6_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="a00042.html" target="_self">LiveInfo1VICOType</a></td><td class="desc">VICO liveInfo1 structure used in <a class="el" href="a00002.html#aff885aee5a72c29a3602780878e69156" title="Returns live system status information from VICO.">liveInfo1VICO()</a> </td></tr>
<tr id="row_7_" class="odd"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="a00058.html" target="_self">LiveInfo2VIAMPType</a></td><td class="desc">VIAMP liveInfo2 structure used in <a class="el" href="a00002.html#ad986e951938330f6e1b081e4ca347b1b" title="Returns extended live system status information from VIAMP.">liveInfo2VIAMP()</a> </td></tr>
<tr id="row_8_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="a00046.html" target="_self">LiveInfo2VICOType</a></td><td class="desc">VICO liveInfo2 structure used in <a class="el" href="a00002.html#a26ba5d7e4e9b541f7154b802549ff17b" title="Returns extended live system status information from VICO.">liveInfo2VICO()</a> </td></tr>
<tr id="row_9_" class="odd"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="a00062.html" target="_self">LiveInfoBoundariesVIAMPType</a></td><td class="desc">VIAMP liveInfoBoundaries structure used in <a class="el" href="a00002.html#a3fe3fe1afd17b16f83da13decc2b1425" title="Returns boundary values for measured VIAMP live system status information values.">liveInfoBoundariesVIAMP()</a> </td></tr>
<tr id="row_10_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="a00050.html" target="_self">LiveInfoBoundariesVICOType</a></td><td class="desc">VICO liveInfoBoundaries structure used in <a class="el" href="a00002.html#aa78966a74cf08003a7e41c8b3a0fcbe0" title="Returns boundary values for measured VICO live system status information values.">liveInfoBoundariesVICO()</a> </td></tr>
<tr id="row_11_" class="odd"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="a00038.html" target="_self">MCUStatusInfoType</a></td><td class="desc">MCU status structure used in <a class="el" href="a00002.html#a830a0ec11bc7e1a83accadde40bd5afc" title="Reads the device status information from the MCU, which are i.e.">getMCUStatusInfo()</a> </td></tr>
<tr id="row_12_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="a00030.html" target="_self">RunStatisticsType</a></td><td class="desc">All run statistics structure used in <a class="el" href="a00002.html#a7469a660897264ddc6b5c7697cd68f7e" title="Reads all run statistics parameters simultaneously.">getRunStatistics()</a> </td></tr>
<tr id="row_13_" class="odd"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="a00074.html" target="_self">TempType</a></td><td class="desc">Temperature structure used in <a class="el" href="a00002.html#a164d3ed09f7d89b12c077de0a7882897" title="Reads out current SDD temperature.">getTemp()</a> </td></tr>
<tr id="row_14_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="a00026.html" target="_self">VersionType</a></td><td class="desc">Structure to represent the major-, minor-, patch-, and build version of the VICOLib (acquired by <a class="el" href="a00002.html#a0db1d67e9777cd3eea0cb37663ee03c4" title="Reads the major-, minor-, patch-, and build-version of the VICOLib.">getLibraryVersion()</a>) and VICODaemon (acquired by <a class="el" href="a00002.html#a2a7639b2cbad7e518285d65fc3e3264f" title="Reads the major-, minor-, patch-, and build-version of the VICODaemon.">getDaemonVersion()</a>) </td></tr>
<tr id="row_15_" class="odd"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="a00086.html" target="_self">VicoQuery</a></td><td class="desc">Handles the requests and responses from host side to/from the VICODaemon and hence device </td></tr>
</table>
</div><!-- directory -->
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.11.0 </li>
  </ul>
</div>
</body>
</html>
